//Staff Combo
Ext.define("App.view.StaffCombo", {
    extend: "Ext.form.field.ComboBox",
    alias: "widget.staffCombo",
    fieldLabel: App.localeRes("Staff"),
    name: "staffName",
    displayField: "value",
    valueField: "value",
    editable: true,
    queryMode: 'local',

    initComponent: function() {
        var me = this;
        if (!me.store)
            me.store = Ext.create("Ext.data.Store", {
                fields: ["value"],
                data: [
                    {
                        value: "Ricky",
                    },
                    {
                        value: "Laurence"
                    },
                    {
                        value: "Boris"
                    }
                ]
            });

        me.callParent();
    }
});
